DECLARE SUB MD04WriteOutput (AdrModule AS INTEGER, Relais AS INTEGER)
'  +-----------------------------------------------------------------------+
'   (C) SELIA design                                                      
'  +-----------------------------------------------------------------------
'   Tel :  (00 33) 88 86 68 54                                            
'   Fax :  (00 33) 88 86 74 76                                            
'  +-----------------------------------------------------------------------
'   Project     : CF01                 Compiler   : QBASIC               
'   Module name : MD04.PAS             Version    : 1.1                  
'  +-------------------------------+---------------------------------------
'   Author    : Francis GLOHR          Date       : 17 March 1994        
'  +-----------------------------------------------------------------------
'   Descript. :                                                           
'                Function to use the CF01 with MD04 modules               
'  +-----------------------------------------------------------------------
'                               UPDATES                                   
'  +-----------------------------------------------------------------------
'     Date      Author            Description of updates                
'  +----------+-----------+------------------------------------------------
'  17/03/94  F. Glohr    Creation V 1.00                                
'  --------- -----------------------------------------------------------
'  +-----------------------------------------------------------------------+

'  +-----------------------------------------------------------------------+
'   Const definition                                                      
'  +-----------------------------------------------------------------------+

' Base adress of the CF01 board is Hex 300 = Dec 768
' ***************************************************

CONST AdrModule = &H300                        ' Module is at position "A"   
                                               ' onto the CF01               


' -------------------------------------------------------------------------
' Note: For over module position you must correct the constant ADRMODULE
'       with the correct module adresse as specified in the CF01 handbook
'  -------------------------------------------------------------------------


'  +-----------------------------------------------------------------------+
'   Name :  main                                                          
'  +-----------------------------------------------------------------------
'   Description :                                                         
'     Example to use the MD01 module                                      
'  +-----------------------------------------------------------------------
'   Input :                                                               
'  +-----------------------------------------------------------------------
'   Output:                                                               
'  +-----------------------------------------------------------------------+}
   CLS
   LOCATE 10, 10: PRINT ("Example for use the MD04 module with the CF01 board")
   LOCATE 11, 10: PRINT ("-----------------------------------------------------")


   MD04WriteOutput AdrModule, 0
   MD04WriteOutput AdrModule, &H55
   MD04WriteOutput AdrModule, &HAA
END

SUB MD04WriteOutput (AdrModule AS INTEGER, Relais AS INTEGER)
   OUT AdrModule, Relais
END SUB

