{  Ŀ
    (C) SELIA design                                                      
   Ĵ
    Tel :  88 86 68 54                                                    
    Fax :  88 86 74 76                                                    
   Ĵ
    Project     :                      Compiler   :                      
    Module name :                      Version    :                      
   Ĵ
    Author    : Francis GLOHR          Date       : 16 Fvrier 1994      
   Ĵ
    Descript. :                                                           
                                                                          
   ͵
                                UPDATES                                   
   Ĵ
      Date      Author            Description of updates                
   Ĵ
   16/02/94  F. Glohr    Cration V 1.00                                
   --------- -----------------------------------------------------------
   11/04/97  F. Glohr    Modification pour nouvelle MA03N               
                         Version 1.01                                   
   --------- -----------------------------------------------------------
   }
unit MA03;

interface

uses Crt;

function MA03_ReadAnalogueInput    (BoardAdresse:Integer; Channel:Integer): Integer;

procedure Beep;
procedure DisplayErrorMsg;

implementation

procedure Beep;
begin
   Sound (750);
   Delay (500);
   NoSound;
end;

procedure DisplayErrorMsg;
begin
   ClrScr;
   TextColor (WHITE);
   WriteLn ('-----------------------------------');
   WriteLn ('|   RUNTIME LIBRARY ERROR CA01    |');
   WriteLn ('-----------------------------------');
end;


function MA03_ReadAnalogueInput (BoardAdresse:Integer; Channel:Integer): Integer;
var
   TimeOut     : LongInt;
   AnaMsb      : Integer;
   AnaLsb      : Integer;
begin
   TimeOut     := 50000;

   If (Channel < 1) Or (Channel > 32) Then Begin
      DisplayErrorMsg;
      WriteLn ('Function ''MA03_ReadAnalogueInput'' called with bad channel number');
      WriteLn;
      WriteLn ('End of program');
      Beep;
      Halt (99);
   End;

   Port[BoardAdresse] := Channel-1;
   
   repeat
      Dec (TimeOut);
   until (TimeOut <= 0) Or ((Port[BoardAdresse+1] And $1) = $0);

   if (TimeOut = 0) Then begin
      DisplayErrorMsg;
      WriteLn ('Function ''MA03_ReadAnalogueInput'' timeout, (no End of Conversion)');
      WriteLn;
      WriteLn ('End of program');
      Beep;
      Halt (99);
      Beep;
   end;

   AnaMsb := Port[BoardAdresse] ;
   AnaLsb := Port[BoardAdresse+1] Shr 4;

   MA03_ReadAnalogueInput := (AnaMsb Shl 4) Or AnaLsb;
end;


Begin
End.
