/*--------------------------------------------------------------------------[]
		C functions file

Filename :      MC01.C
Purpose  :      

[]--------------------------------------------------------------------------*/
#include <conio.h>
#include <time.h>
#include <stdio.h>

#include "selia.h"


int Adresse = 0x300;
int ModuleMC01 = 3;            /* 0 Emplacement 'A' */
int ModuleMD03 = 0;
int AdrMC01;
int AdrMD03;

int Compt;

/*--------------------------------------------------------------------------[]
Function :  usrKeyb
Purpose  :       
Input    :                              
Output   :                              
[]--------------------------------------------------------------------------*/
int usrKeyb (int Col, int Lig)
{
  int i;
 
  gotoxy (Lig, Col);
  
  if ((i = getch ()) == 0)
    return (getch());
  return (i);
}


/*--------------------------------------------------------------------------[]
Function :  Automatique
Purpose  :       
Input    :                              
Output   :                              
[]--------------------------------------------------------------------------*/
void Automatique (void)
{
  uclock_t  Start;
  char Old;
  char loop, sign; 
  char buf[80];
  int i, j;
  char last;
  long Pos = 0L;
  
  clrscr ();
  gotoxy (20, 1); printf ("**********************\n");
  gotoxy (20, 2); printf ("* Menu : Automatique *\n");
  gotoxy (20, 3); printf ("**********************\n");

  gotoxy (20, 6); printf ("[F10] : Retour au menu principal\n");


  gotoxy (1, 8); printf ("+---[Condition de test du module]------------+\n");
  gotoxy (1, 9); printf ("+                                            +\n");
  sprintf (buf,           "+   Adresse de base CF01 : %03x               +\n", Adresse);
  gotoxy (1, 10); printf("%s", buf);
  sprintf (buf,           "+   MC01 Emplacement     : %c                 +\n", 'A' + ModuleMC01);
  gotoxy (1, 11); printf("%s", buf);
  sprintf (buf,           "+   MC01 Adresse         : %03x               +\n", AdrMC01);
  gotoxy (1, 12); printf("%s", buf);
  sprintf (buf,           "+   MD03 Emplacement     : %c                 +\n", 'A' + ModuleMD03);
  gotoxy (1, 13); printf("%s", buf);
  sprintf (buf,           "+   MD03 Adresse         : %03x               +\n", AdrMD03);
  gotoxy (1, 14); printf("%s", buf);
  gotoxy (1, 15); printf ("+--------------------------------------------+\n");

  gotoxy (1, 16); printf ("+-----------------------+\n");
  gotoxy (1, 17); printf ("+ Position codeur (GRAY)+\n");
  gotoxy (1, 18); printf ("+-----------------------+\n");
  gotoxy (1, 19); printf ("+                       +\n");
  gotoxy (1, 20); printf ("+-----------------------+\n");


  /* Initialisation de la frquence */
  inportb (AdrMC01);
/*  outportb (AdrMC01, 0x80);*/
  delay (1);

  outportb (AdrMC01, 0x8E);
  delay (1);
  loop = 0;
  
  while (!loop) {
    if (kbhit ()) 
       if (usrKeyb (1,1) == USR_F10)
	 loop = 1;

    outportb (AdrMD03, 0xFF);
    outportb (AdrMC01, 0x55);

    while ((inportb (AdrMC01 + 1) & 2) == 2);
    Pos = inportb (AdrMC01);

    while ((inportb (AdrMC01 + 1) & 2) == 2);
    Pos |= inportb (AdrMC01) << 8;

    while ((inportb (AdrMC01 + 1) & 2) == 2);
    Pos |= inportb (AdrMC01) << 16;

    while ((inportb (AdrMC01 + 1) & 2) == 2);
    Pos |= inportb (AdrMC01) << 24;
    outportb (AdrMD03, 0x0);

/*    gotoxy (8, 19);
    printf ("                  \n", Pos);*/
    Pos /= 2;
    gotoxy (8, 19);
    printf ("%08ld\n", Pos);

    for (i = 0; i < 32; i++)
      {
	if (((1 << i) & Pos) != 0)
	  buf[31-i] = '1';
	else
	  buf[31-i] = '0';
      }
    buf[i] = 0;
    gotoxy (1, 21);
    printf ("Codage gray : %s\n", buf);
  }

}



/*--------------------------------------------------------------------------[]
Function :  main
Purpose  :       
Input    :                              
Output   :                              
[]--------------------------------------------------------------------------*/
main ()
{
  int i, loop = 0;

  AdrMC01 = Adresse + (2 * ModuleMC01);
  AdrMD03 = Adresse + (2 * ModuleMD03);
  
  while (!loop)
    {
      clrscr ();
      gotoxy (20, 1); printf ("*************************\n");
      gotoxy (20, 2); printf ("*  Test du module MC01  *\n");
      gotoxy (20, 3); printf ("*************************\n");

      gotoxy (20, 7); printf ("[F1]  : Lancer le test\n");

      gotoxy (20,10); printf ("[F10] : Quitter\n");

      gotoxy (20, 15); printf ("Votre choix : [ ]\n");
      
      switch (usrKeyb (35, 15))
	{
	case USR_F10: 
	  loop = 1;
	  clrscr ();
	  break;
	case USR_F1: 
	  Automatique (); 
	  break;
	}
    }
}
