{  +-----------------------------------------------------------------------+
    (C) SELIA design                                                      
   +-----------------------------------------------------------------------
    Tel :  (00 33) 88 86 68 54                                            
    Fax :  (00 33) 88 86 74 76                                            
   +-----------------------------------------------------------------------
    Project     : CF01                 Compiler   : TURBO PASCAL         
    Module name : MD07.PAS             Version    : 6.00                 
   +-------------------------------+---------------------------------------
    Author    : Francis GLOHR          Date       : 17 March 1994        
   +-----------------------------------------------------------------------
    Descript. :                                                           
                 Function to use the CF01 with MD07 modules               
   +-----------------------------------------------------------------------
                                UPDATES                                   
   +-----------------------------------------------------------------------
      Date      Author            Description of updates                
   +----------+-----------+------------------------------------------------
   17/03/94  F. Glohr    Creation V 1.00                                
   --------- -----------------------------------------------------------
   +-----------------------------------------------------------------------+}
program MD07;

uses Dos, Crt;

{  +-----------------------------------------------------------------------+
    Const definition                                                      
   +-----------------------------------------------------------------------+}

{ Base adress of the CF01 board is Hex 300 = Dec 768
  ****************************************************}

CONST
      AdrModule = $300;                         { Module is at position "A"     }
                                                { onto the CF01                 }


{ -------------------------------------------------------------------------
  Note: For over module position you must correct the constant ADRMODULE
        with the correct module adresse as specified in the CF01 handbook
  -------------------------------------------------------------------------}





{  +-----------------------------------------------------------------------+
    Name :  MD07WriteOutput                                               
   +-----------------------------------------------------------------------
    Description :                                                         
      Write 8 bit digital output                                          
   +-----------------------------------------------------------------------
    Input :  AdrModule : INTEGER: Adress of the MD07 module (see Note)    
             Relais    : INTEGER: Value to write onto MD07                
   +-----------------------------------------------------------------------
    Output:                                                               
   +-----------------------------------------------------------------------+}
Procedure MD07WriteOutput (AdrModule : INTEGER; Relais : INTEGER);
Begin
   PORT[AdrModule]   := Relais AND $00FF;
   PORT[AdrModule+1] := Relais shr 8;
End;

{  +-----------------------------------------------------------------------+
    Name :  main                                                          
   +-----------------------------------------------------------------------
    Description :                                                         
      Example to use the MD01 module                                      
   +-----------------------------------------------------------------------
    Input :                                                               
   +-----------------------------------------------------------------------
    Output:                                                               
   +-----------------------------------------------------------------------+}
Var
   k : Integer;
   i : Integer;
   l : Integer;

Begin

   ClrScr;
   GoToXY (10, 10); Write ('Example for use the MD07 module with the CF01 board');
   GoToXY (10, 11); Write ('-----------------------------------------------------');


   MD07WriteOutput (AdrModule, $0);
   MD07WriteOutput (AdrModule, $55AA);
   MD07WriteOutput (AdrModule, $AA55);

End.
